From 5455426c9944ff8c8694db46929eaa37e03d907f Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Fri, 1 Sep 2023 11:07:40 -0500
Subject: [PATCH v1 7/7] Disable building contrib targets by default

This matches the autotools build.
---
 contrib/meson.build          | 4 +++-
 contrib/oid2name/meson.build | 2 +-
 contrib/vacuumlo/meson.build | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/contrib/meson.build b/contrib/meson.build
index 618b1c50c8..06c579def5 100644
--- a/contrib/meson.build
+++ b/contrib/meson.build
@@ -1,6 +1,8 @@
 # Copyright (c) 2022-2023, PostgreSQL Global Development Group
 
-contrib_mod_args = pg_mod_args
+# These will get built during test runs or if the contrib target is ran.
+contrib_bin_args = default_bin_args + { 'build_by_default': false }
+contrib_mod_args = pg_mod_args + { 'build_by_default': false }
 
 contrib_data_dir = dir_data_extension
 contrib_data_args = {
diff --git a/contrib/oid2name/meson.build b/contrib/oid2name/meson.build
index 171d2d226b..904c94a0e1 100644
--- a/contrib/oid2name/meson.build
+++ b/contrib/oid2name/meson.build
@@ -13,7 +13,7 @@ endif
 oid2name = executable('oid2name',
   oid2name_sources,
   dependencies: [frontend_code, libpq],
-  kwargs: default_bin_args,
+  kwargs: contrib_bin_args,
 )
 contrib_targets += oid2name
 
diff --git a/contrib/vacuumlo/meson.build b/contrib/vacuumlo/meson.build
index 9fa7380590..a059dda65a 100644
--- a/contrib/vacuumlo/meson.build
+++ b/contrib/vacuumlo/meson.build
@@ -13,7 +13,7 @@ endif
 vacuumlo = executable('vacuumlo',
   vacuumlo_sources,
   dependencies: [frontend_code, libpq],
-  kwargs: default_bin_args,
+  kwargs: contrib_bin_args,
 )
 contrib_targets += vacuumlo
 
-- 
Tristan Partin
Neon (https://neon.tech)

